## Update a zone snippet `client.Snippets.Update(ctx, snippetName, params) (*SnippetUpdateResponse, error)` **put** `/zones/{zone_id}/snippets/{snippet_name}` Creates or updates a snippet belonging to the zone. ### Parameters - `snippetName string` Identify the snippet. - `params SnippetUpdateParams` - `ZoneID param.Field[string]` Path param: Use this field to specify the unique ID of the zone. - `Metadata param.Field[SnippetUpdateParamsMetadata]` Body param: Provide metadata about the snippet. - `MainModule string` Specify the name of the file that contains the main module of the snippet. ### Returns - `type SnippetUpdateResponse struct{…}` Contain the response result. - `CreatedOn Time` Indicates when the snippet was created. - `SnippetName string` Identify the snippet. - `ModifiedOn Time` Indicates when the snippet was last modified. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/snippets" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) snippet, err := client.Snippets.Update( context.TODO(), "my_snippet", snippets.SnippetUpdateParams{ ZoneID: cloudflare.F("9f1839b6152d298aca64c4e906b6d074"), Metadata: cloudflare.F(snippets.SnippetUpdateParamsMetadata{ MainModule: cloudflare.F("main.js"), }), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", snippet.CreatedOn) } ``` #### Response ```json { "errors": [ { "message": "something bad happened", "code": 10000 } ], "messages": [ { "message": "something bad happened", "code": 10000 } ], "result": { "created_on": "2000-01-01T00:00:00.000000Z", "snippet_name": "my_snippet", "modified_on": "2000-01-01T00:00:00.000000Z" }, "success": true } ```